Экспертная система Delphi.int.ru

Сообщество программистов
Общение, помощь, обмен опытом

Логин:
Пароль:
Регистрация | Забыли пароль?

Delphi.int.ru Expert

Другие разделы портала

Переход к вопросу:

#   

Статистика за сегодня:  


Лучшие эксперты

Подробнее »



Вопрос # 2 407

/ вопрос открыт /

Здравствуйте!

Код в приложении работал, затем по неизвестной причине перестал(Компилятор выдает ошибку).

Приложение:
  1. const
  2. CodePageSet = ['UTF-16', 'Windows-1251'];
  3.  
  4. E2001 Ordinal type required


Alexo Вопрос ожидает решения (принимаются ответы, доступен мини-форум)

Вопрос задал: Alexo (статус: Посетитель)
Вопрос отправлен: 10 февраля 2009, 04:18
Состояние вопроса: открыт, ответов: 0.


Мини-форум вопроса

Всего сообщений: 16; последнее сообщение — 10 февраля 2009, 19:23; участников в обсуждении: 5.
Amidamaru

Amidamaru (статус: 4-ый класс), 10 февраля 2009, 10:05 [#1]:

Тип этой константы неявно указывается как Set of <type>
где type может быть только перечислимый тип (integer, char и т.п.)

Для чего менно должна использоваться эта константа? Может эта константа массивом должна быть?
Приглашаю Вас на наш IRC-канал: #delphiintru в сети DalNet.
Паровоз

Паровоз (статус: 10-ый класс), 10 февраля 2009, 10:43 [#2]:

"Код в приложении работал"
Что в это не верится.
Amidamaru

Amidamaru (статус: 4-ый класс), 10 февраля 2009, 10:45 [#3]:

Он наверно работал :) пока эту константу не добавили
Приглашаю Вас на наш IRC-канал: #delphiintru в сети DalNet.
Пупкин В.В.

Пупкин В.В. (статус: 1-ый класс), 10 февраля 2009, 10:52 [#4]:

просто надо понимать что такое константа =)
вы можете объявить свой type
а потом только константу, значение которой может быть только одно из type
Alexo

Alexo (статус: Посетитель), 10 февраля 2009, 11:56 [#5]:

[quote]Он наверно работал :) пока эту константу не добавили[/quote]

Он работал нормально именно с этой константой. Есть откомпилированная программа работающая именно так. Следовательно должен быть способ заставить это работать.
Вадим К

Вадим К (статус: Академик), 10 февраля 2009, 12:39 [#6]:

а случайно компилятор на 2009 делфи не поменяли?
Галочка "подтверждения прочтения" - вселенское зло.
Alexo

Alexo (статус: Посетитель), 10 февраля 2009, 16:46 [#7]:

На 2009 я и работаю.
Вадим К

Вадим К (статус: Академик), 10 февраля 2009, 16:57 [#8]:

А раньше компилировалось на 7/2006 или любой другой кроме 2009?
Галочка "подтверждения прочтения" - вселенское зло.
Alexo

Alexo (статус: Посетитель), 10 февраля 2009, 17:06 [#9]:

В другой версии не компилировалось, только под 2009
Вадим К

Вадим К (статус: Академик), 10 февраля 2009, 17:08 [#10]:

дело в том, что этот код в 2009 не соберёться. а в предыдущих - да.
Код случайно не с одного SAX парсера для xml?
Галочка "подтверждения прочтения" - вселенское зло.
Alexo

Alexo (статус: Посетитель), 10 февраля 2009, 17:08 [#11]:

Перестало компилироваться, после того как портировал SimpleXML под 2009.
Alexo

Alexo (статус: Посетитель), 10 февраля 2009, 17:14 [#12]:

[quote]дело в том, что этот код в 2009 не соберёться. а в предыдущих - да.[/quote]

В предыдущих он тоже не собираеться.


[quote]Код случайно не с одного SAX парсера для xml?[/quote]

Нет это мой личный проект и наткнулся я на это случайно.
Вадим К

Вадим К (статус: Академик), 10 февраля 2009, 18:23 [#13]:

SimpleXML - это как раз и есть sax xml парсер:)
Так что личный/не личный - никого не волнует.
Код в предыдущих версиях должен собираться.
Галочка "подтверждения прочтения" - вселенское зло.
Alexo

Alexo (статус: Посетитель), 10 февраля 2009, 18:40 [#14]:

Я только, что проверял не собираеться, та же самая ошибка. Среду я преустановил. проекты создавал заного. И все одно и тоже.
Вадим К

Вадим К (статус: Академик), 10 февраля 2009, 19:08 [#15]:

чудес не бывает. Я когда портировал эту библиотеку, вообще убрал код, котрый связан с этим кодом. и не заморачивался.
Галочка "подтверждения прочтения" - вселенское зло.
Alexo

Alexo (статус: Посетитель), 10 февраля 2009, 19:23 [#16]:

так проблема не с этой библиотекой, почему данный код перестал работать вобще.

Чтобы оставлять сообщения в мини-форумах, Вы должны авторизироваться на сайте.

Версия движка: 2.6+ (26.01.2011)
Текущее время: 23 февраля 2020, 02:24
Выполнено за 0.02 сек.
Рейтинг@Mail.ru